> For the complete documentation index, see [llms.txt](https://docs.ggwp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ggwp.com/chinese-simplified/shen-fen-yu-fang-wen-guan-li-iam/api-wen-dang-scim/fa-xian-api/fu-wu-ti-gong-shang-pei-zhi.md).

# 服务提供商配置

### 概述

该 `/ServiceProviderConfig` 该端点提供有关 SCIM 服务支持功能的元数据。

Okta 或 Microsoft Azure Active Directory 等身份提供商使用此端点来确定：

* 支持的操作（例如 PATCH）
* 过滤能力
* 认证方法
* 批量操作支持

***

### 端点

```bash
GET /ServiceProviderConfig
```

***

### 完整 URL

```bash
https://api.ggwp.com/scim/v2/ServiceProviderConfig
```

***

### 身份验证

需要 Bearer 令牌：

```http
Authorization: Bearer <access_token>
```

***

### 响应

### 成功（200 OK）

```json
{
  "data": {
    "schemas": ["urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"],
    "patch": {
      "supported": true
    },
    "bulk": {
      "supported": false,
      "maxOperations": 0,
      "maxPayloadSize": 0
    },
    "filter": {
      "supported": false,
      "maxResults": 0
    },
    "changePassword": {
      "supported": false
    },
    "sort": {
      "supported": false
    },
    "etag": {
      "supported": false
    },
    "authenticationSchemes": [
      {
        "type": "oauthbearertoken",
        "name": "Bearer 令牌",
        "description": "静态持有者令牌认证。令牌由 GGWP 提供。",
        "specUri": "https://www.rfc-editor.org/rfc/rfc6750",
        "primary": true
      }
    ]
  },
  "message": "成功"
}
```

***

### 响应字段说明

#### schemas

* 此响应的 SCIM 模式标识符

***

#### 补丁

```json
"patch": { "supported": true }
```

* 表示支持 PATCH 操作
* 为与大多数 IdP 兼容所必需

***

### 批量

```json
"bulk": { "supported": false }
```

* 不支持批量操作

***

### 过滤

```json
"filter": {
    "supported": false,
    "maxResults": 0
}
```

* 不支持过滤
* `最大结果数` 定义每个请求的最大结果数

***

### 更改密码

```json
"changePassword": { "supported": false }
```

* 不支持通过 SCIM 更改密码

***

### 排序

```json
"sort": { "supported": false }
```

* 不支持排序

***

### ETag

```json
"etag": { "supported": false }
```

* 不支持基于 ETag 的版本控制
